%define name    filelight
%define version 1.9
%define svn     rc2
%define release %mkrel 1.%svn.1

Summary:        Graphical disk usage statistics
Name:           %name
Version:        %version
Release:        %release

License:	GPL+
Group:		Monitoring
Source:		http://kde-apps.org/CONTENT/content-files/99561-%name-%version-%svn.tgz
URL:		http://kde-apps.org/content/show.php/filelight?content=99561
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs4-devel
BuildRequires:  qimageblitz-devel

%description
Filelight graphically represents a file system as a set of concentric
segmented-rings, indicating where diskspace is being used. Segments expanding
from the center represent files (including directories), with each segment's
size being proportional to the file's size and  directories having child
segments. Filelight performs a similar function to KDirstat, but in a more
compact fashion.

%files 
%defattr(-,root,root,-)
%{_kde_bindir}/%{name}
%{_kde_appsdir}/filelight
%{_kde_appsdir}/filelightpart
%{_kde_datadir}/config/filelightrc
%{_kde_iconsdir}/*/*/*/*.png
%_kde_libdir/kde4/*.so
%_kde_services/*.desktop
%_kde_datadir/applications/kde4/*.desktop

#--------------------------------------------------------------------

%prep
%setup -q  -n %name-%version-%svn

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%clean
rm -rf %buildroot


%changelog
* Sat May 16 2009 Funda Wang <fundawang@mandriva.org> 1.9-1.rc2.1mdv2010.0
+ Revision: 376340
- raise rel
- 1.9 rc2

* Sun Feb 22 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.9-0.930129.1mdv2009.1
+ Revision: 343968
- Update to the kde4 version

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-4mdv2009.0
+ Revision: 245146
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.0-2mdv2008.0
+ Revision: 81149
- fix XDG category error
- rebuild for 2008
- drop legacy icons and menu
- use Fedora license policy
- clean spec


* Sat Dec 16 2006 Pascal Terjan <pterjan@mandriva.org> 1.0-1mdv2007.0
+ Revision: 98149
- xdg menu
- use autoconf2.5
- update icon cache
-1.0 final
- new location for icons
- Import filelight

* Mon Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 1.0-0.beta6.2mdk
- rebuild

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta6.1mdk
- beta6

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta5.1mdk
- beta5

* Wed Nov 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta4

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta2.1mdk
- beta2

* Wed Jun 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.beta1.2mdk
- rebuild

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta1.1mdk
- 1.0-beta1

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-3mdk
- change menu section (Nicholas Brown)

* Fri Jan 23 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.4-2mdk
- quiet setup

* Thu Jan 22 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.6.4-1mdk
- First Mandrake package release

